// pages/shareTimeLine/shareTimeLine.ts
Page({

  /**
   * 页面的初始数据
   */
  data: {
    active: false
  },
  goBack() {
    const { scene } = this.data
    if (scene == 1155) {
      wx.redirectTo({
        url: '/pages/index/index'
      })
    } else {
      wx.navigateBack({
        delta: 1
      })
    }
  },
  goIndex() {
    const { scene } = this.data
    if (scene == 1155) {
      wx.redirectTo({
        url: '/pages/index/index'
      })
    } else {
      wx.navigateBack({
        delta: 1
      })
    }
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad() {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {
    let { scene } = wx.getLaunchOptionsSync();
    // setTimeout(() => {
    //   wx.showToast({
    //     icon: "none",
    //     title: scene + ',' + active
    //   })
    // }, 2000)
    if (scene == 1154 || scene == 1155) {
      this.setData({
        active: false,
        scene
      })
    } else {
      this.setData({
        active: true
      })
    }
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  },
  onShareTimeline() {
    return {
      title: '您对我的印象评价是什么？',
    }
  }
})